---------------------
PatchSet 2985 
Date: 2001/09/09 10:34:28
Author: serassio
Branch: nt-2_3-tolsty
Tag: (none) 
Log:
Fixed indent problems

Members: 
	contrib/chpasswd/Dutch.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/English.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/French.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/German.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/Hungarian.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/Italian.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/Portuguese.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/Russian.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/Spanish.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/chpasswd.c:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/conf.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/chpasswd/language.h:1.1.2.1.2.1->1.1.2.1.2.2 
	contrib/htpasswd/htpasswd.c:1.1.2.1.2.1->1.1.2.1.2.2 

Index: squid/contrib/chpasswd/Dutch.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Dutch.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/Dutch.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/Dutch.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,5 +1,7 @@
 /* Dutch language added by Richard Baselier <baselier@baselier.demon.nl> */
+
 #if defined(Dutch)
+
 char *msg01 = "Geen schrijfpermissie op paswoord file:";
 char *msg02 = "Nieuw paswoord leeg of te kort (minder dan";
 char *msg03 = "karakters).";
@@ -23,109 +25,92 @@
 char *msg21 = "Minimum aantal speciale karakters (toetsenbord)";
 char *msg22 = "Wijzig uw Squid Account Paswoord";
 char *msg23 = "Authorisatie file moet eigenaar root hebben. Aub. README.";
-char *msg24 =
-    "Authorisatie file heeft verkeerde mode (moet 755 zijn). Aub. README.";
-char *msg25 = "Kan authorisatie file niet openen.";
+char *msg24 = "Authorisatie file heeft verkeerde mode (moet 755 zijn). Aub. README.";
+char *msg25 = "Kan authorisatie file niet openen."; 
 char *msg26 = "U bent niet bevoegd het paswoord te wijzigen.";
 char *msg27 = "Authorisatie file niet gevonden.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Compositie:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Wijzig Squid paswoord</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("Voor beveiligings redenen, pas deze regels toe op uw nieuwe paswoord :\n");
-    printf("<ul>\n");
-    printf
-	("<li>Het paswoord is hoofdletter gevoelig, dit betekent dat 'A' niet gelijk is aan 'a'.<br>\n");
-    printf
-	("<li>U mag letters, nummers, en andere speciale karakters op uw toetsenbord gebruiken.<br>\n");
-    printf("<li>Nieuw paswoord regels:<br>");
-    printf
-	("<ul><li>Lengte: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules,
-	    " karakters (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
-	    minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " nummers (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " speciale karakters (toetsenbord):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> vrije keus</b></font>", rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf("<li>Uw nieuw paswoord is effectief binnen ongeveer 15 minuten.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Uw account naam:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>Uw huidige paswoord:\n");
-    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Nieuw paswoord:\n");
-    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Nogmaals nieuw paswoord:\n");
-    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Wijzig mijn paswoord'>\n");
-    printf("<input type=reset name=reset value='Maak velden leeg'>\n");
-    printf("<input type=submit name=cancel value='Afbreken'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Compositie:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Wijzig Squid paswoord</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("Voor beveiligings redenen, pas deze regels toe op uw nieuwe paswoord :\n");
+  printf("<ul>\n");
+  printf("<li>Het paswoord is hoofdletter gevoelig, dit betekent dat 'A' niet gelijk is aan 'a'.<br>\n");
+  printf("<li>U mag letters, nummers, en andere speciale karakters op uw toetsenbord gebruiken.<br>\n");
+  printf("<li>Nieuw paswoord regels:<br>");
+  printf("<ul><li>Lengte: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," karakters (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," nummers (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," speciale karakters (toetsenbord):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> vrije keus</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>Uw nieuw paswoord is effectief binnen ongeveer 15 minuten.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Uw account naam:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>Uw huidige paswoord:\n");
+  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Nieuw paswoord:\n");
+  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Nogmaals nieuw paswoord:\n");
+  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Wijzig mijn paswoord'>\n");
+  printf("<input type=reset name=reset value='Maak velden leeg'>\n");
+  printf("<input type=submit name=cancel value='Afbreken'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
Index: squid/contrib/chpasswd/English.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/English.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/English.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/English.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,5 +1,7 @@
 /* English language added by Pedro L Orso <porso@usa.net> */
+
 #if defined(English)
+
 char *msg01 = "No write permission on password file:";
 char *msg02 = "New password missing or too short (less than";
 char *msg03 = "characters).";
@@ -28,104 +30,87 @@
 char *msg26 = "You are not authorized to change password.";
 char *msg27 = "Authorization file not found.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Composition:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Change Squid Password</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("For security reasons, remember these rules about your new password:\n");
-    printf("<ul>\n");
-    printf
-	("<li>The password is letter-case sensitive, meaning an 'A' is not the same as an 'a'.<br>\n");
-    printf
-	("<li>You may use letters, numbers, and other special characters on your keyboard.<br>\n");
-    printf("<li>New password rules:<br>");
-    printf
-	("<ul><li>Length: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules,
-	    " characters (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
-	    minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " numbers (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " special characters (keyboard):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> free choice</b></font>", rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf
-	("<li>Your new password will be effective within about 15 minutes.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Your Account Name:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>Your Current Password:\n");
-    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
-    printf("  <tr><td align=right>New Password:\n");
-    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Retype New Password:\n");
-    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Change My Password'>\n");
-    printf("<input type=reset name=reset value='Clear fields'>\n");
-    printf("<input type=submit name=cancel value='Cancel'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Composition:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Change Squid Password</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("For security reasons, remember these rules about your new password:\n");
+  printf("<ul>\n");
+  printf("<li>The password is letter-case sensitive, meaning an 'A' is not the same as an 'a'.<br>\n");
+  printf("<li>You may use letters, numbers, and other special characters on your keyboard.<br>\n");
+  printf("<li>New password rules:<br>");
+  printf("<ul><li>Length: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> characters.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," characters (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," numbers (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," special characters (keyboard):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> free choice</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>Your new password will be effective within about 15 minutes.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Your Account Name:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>Your Current Password:\n");
+  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
+  printf("  <tr><td align=right>New Password:\n");
+  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Retype New Password:\n");
+  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Change My Password'>\n");
+  printf("<input type=reset name=reset value='Clear fields'>\n");
+  printf("<input type=submit name=cancel value='Cancel'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
Index: squid/contrib/chpasswd/French.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/French.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/French.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/French.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,7 +1,8 @@
 /* French language added by Alexandre Allien <aallien@teaser.fr> */
+
 #if defined(French)
-char *msg01 =
-    "Vous n'avez pas le droit d'ecriture dans le fichier des mots de passe:";
+
+char *msg01 = "Vous n'avez pas le droit d'ecriture dans le fichier des mots de passe:";
 char *msg02 = "Le nouveau mot de passe est maquant ou trop court (moins de";
 char *msg03 = "caractères).";
 char *msg04 = "Le nouveau mot de passe est trop long (plus de";
@@ -18,118 +19,98 @@
 char *msg15 = "Impossible d'ouvrir le fichier de configuration:";
 char *msg16 = "Impossible d'ouvrir le fichier de log:";
 char *msg17 = "Le nouveau mot de passe est invalide.";
-char *msg18 =
-    "SVP, utilisez les règles suivantes pour saisir un nouveau mot de passe:";
+char *msg18 = "SVP, utilisez les règles suivantes pour saisir un nouveau mot de passe:";
 char *msg19 = "Un minimun de caractères (a-z, A-Z)";
 char *msg20 = "Un minimun de chiffres (0-9)";
-char *msg21 = "Un minimun de caractères spéciaux";
+char *msg21 = "Un minimun de caractères spéciaux"; 
 char *msg22 = "Mise à jour du mot de passe d'accès à Squid";
-char *msg23 =
-    "Le fichier d'Authentification doit être possedé par l'utilisateur root. Lisez README.";
-char *msg24 =
-    "Le fichier d'Authentification ne possède pas les bons droits (il doit etre en 755). Lisez README.";
+char *msg23 = "Le fichier d'Authentification doit être possedé par l'utilisateur root. Lisez README.";
+char *msg24 = "Le fichier d'Authentification ne possède pas les bons droits (il doit etre en 755). Lisez README.";
 char *msg25 = "Impossible d'ouvrir le fichier d'authentification.";
 char *msg26 = "Vous n'étes pas autorisé a changer votre mot de passe.";
 char *msg27 = "Impossible de trouver le fichier d'authentification.";
 
-static void
-UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
-    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
-    char *width, char *height, char *header, char *bgimage)
+static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
 {
 
-    char rules[255] = "<li>Composition:";
-    char wrules[255];
-    int frules = 0;
-
-    printf("Content-type: text/html\n");
-    puts("\n");
-    printf("<html>\n");
-    printf("<head>\n");
-    printf("  <title>Mise à jour du mot de passe Squid</title>\n");
-    printf("</head>\n");
-    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
-	bgimage);
-
-    if (strlen(logo) > 0)
-	printf
-	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
-	    logo, width, height, ticolor, header);
-    else
-	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
-
-    printf
-	("Pour des raisons de sécurité, rappelez-vous les règles pour votre nouveau mot de passe:\n");
-    printf("<ul>\n");
-    printf
-	("<li>Le mot de passe tient compte de la casse, cela signifie qu'un 'A' est différent d'un 'a'.<br>\n");
-    printf
-	("<li>Il est possible d'utiliser des lettres, des chiffres et des caractères spéciaux (disponible sur le clavier).<br>\n");
-    printf("<li>Règles du nouveau mot de passe:<br>");
-    printf
-	("<ul><li>Longueur: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> caractères.<br>\n",
-	rucolor, minlen, rucolor, maxlen);
-
-    if (strcmp(minchar, "0") != 0) {
-	sprintf(wrules,
-	    " caractères (a-z, A-Z):<font color=%s><b> %s</b></font>", rucolor,
-	    minchar);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minnum, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules, " chiffres (0-9):<font color=%s><b> %s</b></font>",
-	    rucolor, minnum);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (strcmp(minspec, "0") != 0) {
-	if (frules)
-	    strcat(rules, ", ");
-	sprintf(wrules,
-	    " caractères spéciaux (clavier):<font color=%s><b> %s</b></font>",
-	    rucolor, minspec);
-	strcat(rules, wrules);
-	frules = 1;
-    }
-    if (!frules) {
-	sprintf(wrules, "<font color=%s><b> libre</b></font>", rucolor);
-	strcat(rules, wrules);
-    }
-    strcat(rules, "<br>");
-    printf(rules);
-    printf("</ul>\n");
-
-    printf
-	("<li>Votre nouveau mot de passe deviendra actif dans 15 minutes environs.\n");
-    printf("</ul>\n");
-    printf("<form action='chpasswd.cgi' method=POST>\n");
-    printf("<center>\n");
-    printf("<hr noshade>\n");
-    printf("<table cellpadding=0 cellspacing=0>\n");
-    printf("  <tr><td align=right>Votre nom d'utilisateur:\n");
-    printf("      <td><input type=text name=user size=10>\n");
-    printf("  <tr><td align=right>Votre mot de passe actuel:\n");
-    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Nouveau mot de passe:\n");
-    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
-    printf("  <tr><td align=right>Resaisissez votre nouveau mot de passe:\n");
-    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
-    printf("</table>\n");
-    printf("<hr noshade>\n");
-    printf("<input type=submit name=change value='Changer le mot de passe'>\n");
-    printf("<input type=reset name=reset value='Effacer les champs'>\n");
-    printf("<input type=submit name=cancel value='Annuler'>\n");
-    printf("</center>\n");
-    printf("</form>\n");
-    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
-    printf("</body>\n");
-    printf("</html>\n");
+  char rules[255] = "<li>Composition:";
+  char wrules[255];
+  int  frules=0;
+
+  printf("Content-type: text/html\n");
+  puts("\n");
+  printf("<html>\n");
+  printf("<head>\n");
+  printf("  <title>Mise à jour du mot de passe Squid</title>\n");
+  printf("</head>\n");
+  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
+
+  if(strlen(logo) > 0)
+     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
+   else
+     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
+
+  printf("Pour des raisons de sécurité, rappelez-vous les règles pour votre nouveau mot de passe:\n");
+  printf("<ul>\n");
+  printf("<li>Le mot de passe tient compte de la casse, cela signifie qu'un 'A' est différent d'un 'a'.<br>\n");
+  printf("<li>Il est possible d'utiliser des lettres, des chiffres et des caractères spéciaux (disponible sur le clavier).<br>\n");
+  printf("<li>Règles du nouveau mot de passe:<br>");
+  printf("<ul><li>Longueur: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> caractères.<br>\n",rucolor,minlen,rucolor,maxlen);
+
+  if(strcmp(minchar,"0") != 0) {
+     sprintf(wrules," caractères (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minnum,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," chiffres (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(strcmp(minspec,"0") != 0) {
+     if(frules)
+        strcat(rules,", ");
+     sprintf(wrules," caractères spéciaux (clavier):<font color=%s><b> %s</b></font>",rucolor,minspec);
+     strcat(rules,wrules);
+     frules=1;
+  }
+  if(!frules){
+     sprintf(wrules,"<font color=%s><b> libre</b></font>",rucolor);
+     strcat(rules,wrules);
+  }
+  strcat(rules,"<br>");
+  printf(rules);
+  printf("</ul>\n");
+
+  printf("<li>Votre nouveau mot de passe deviendra actif dans 15 minutes environs.\n");
+  printf("</ul>\n");
+  printf("<form action='chpasswd.cgi' method=POST>\n");
+  printf("<center>\n");
+  printf("<hr noshade>\n");
+  printf("<table cellpadding=0 cellspacing=0>\n");
+  printf("  <tr><td align=right>Votre nom d'utilisateur:\n");
+  printf("      <td><input type=text name=user size=10>\n");
+  printf("  <tr><td align=right>Votre mot de passe actuel:\n");
+  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Nouveau mot de passe:\n");
+  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
+  printf("  <tr><td align=right>Resaisissez votre nouveau mot de passe:\n");
+  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
+  printf("</table>\n");
+  printf("<hr noshade>\n");
+  printf("<input type=submit name=change value='Changer le mot de passe'>\n");
+  printf("<input type=reset name=reset value='Effacer les champs'>\n");
+  printf("<input type=submit name=cancel value='Annuler'>\n");
+  printf("</center>\n");
+  printf("</form>\n");
+  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
+  printf("</body>\n");
+  printf("</html>\n");
 
-    fflush(stdout);
-    return;
+  fflush(stdout);
+  return;
 
 }
 #endif
